package com.ygtx.gxt.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ygtx.common.core.domain.BaseEntity;

import java.util.Date;

public class GxtMisInfo extends BaseEntity {
    private String misNo;

    /** 风电场 */
    private String pcsStationName;

    /** 风机编号 */
    private String pcsDeviceName;

    /** 风机品牌 */
    private String brand;

    /** 风机型号 */
    private String model;

    /** 计划开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date planStartTime;

    /** 计划结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date planEndTime;

    /** 实际开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date realStartTime;

    /** 实际结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date realEndTime;
    
    /** 实际结束时间开始 */
    private String beginRealEndTime;
    
    /** 实际结束时间结束 */
    private String endRealEndTime;

    /** 维保内容 */
    private String content;

    /** 签发人 */
    private String issuerName;

    /** 许可人 */
    private String permitterName;

    /** 工作票编号 */
    private String workPermitNum;

    /** 工单状态：draft-草稿,to_assign-待派单,assigned-已派单,accepted-已接单,processing-处理中,paused-暂停中,to_approve-待审批,suspended-已挂起,completed-已完成 */
    private String workOrderStatus;

    private Date pauseTime;

    private Date restartTime;

    public String getMisNo() {
        return misNo;
    }

    public void setMisNo(String misNo) {
        this.misNo = misNo;
    }

    public String getPcsStationName() {
        return pcsStationName;
    }

    public void setPcsStationName(String pcsStationName) {
        this.pcsStationName = pcsStationName;
    }

    public String getPcsDeviceName() {
        return pcsDeviceName;
    }

    public void setPcsDeviceName(String pcsDeviceName) {
        this.pcsDeviceName = pcsDeviceName;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public Date getPlanStartTime() {
        return planStartTime;
    }

    public void setPlanStartTime(Date planStartTime) {
        this.planStartTime = planStartTime;
    }

    public Date getPlanEndTime() {
        return planEndTime;
    }

    public void setPlanEndTime(Date planEndTime) {
        this.planEndTime = planEndTime;
    }

    public Date getRealStartTime() {
        return realStartTime;
    }

    public void setRealStartTime(Date realStartTime) {
        this.realStartTime = realStartTime;
    }

    public Date getRealEndTime() {
        return realEndTime;
    }

    public void setRealEndTime(Date realEndTime) {
        this.realEndTime = realEndTime;
    }
    
    public String getBeginRealEndTime() {
        return beginRealEndTime;
    }

    public void setBeginRealEndTime(String beginRealEndTime) {
        this.beginRealEndTime = beginRealEndTime;
    }

    public String getEndRealEndTime() {
        return endRealEndTime;
    }

    public void setEndRealEndTime(String endRealEndTime) {
        this.endRealEndTime = endRealEndTime;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getIssuerName() {
        return issuerName;
    }

    public void setIssuerName(String issuerName) {
        this.issuerName = issuerName;
    }

    public String getPermitterName() {
        return permitterName;
    }

    public void setPermitterName(String permitterName) {
        this.permitterName = permitterName;
    }

    public String getWorkPermitNum() {
        return workPermitNum;
    }

    public void setWorkPermitNum(String workPermitNum) {
        this.workPermitNum = workPermitNum;
    }

    public String getWorkOrderStatus() {
        return workOrderStatus;
    }

    public void setWorkOrderStatus(String workOrderStatus) {
        this.workOrderStatus = workOrderStatus;
    }

    public Date getPauseTime() {
        return pauseTime;
    }

    public void setPauseTime(Date pauseTime) {
        this.pauseTime = pauseTime;
    }

    public Date getRestartTime() {
        return restartTime;
    }

    public void setRestartTime(Date restartTime) {
        this.restartTime = restartTime;
    }
}